%define   kmodtool sh /usr/lib/rpm/redhat/kmodtool

# hardcode for now:
%{!?kversion: %{expand: %%define kversion %(uname -r)}}

%define kmod_name scsi_dh_rdac
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif
%ifarch ppc64
%define kdumpvar kdump
%endif

%{!?kvariants: %define kvariants %{?upvar} %{?xenvar} %{?kdumpvar}}

Name:       %{kmod_name}-kmod
Version:    09.00.0000.0006
Release:    el6.1
Summary:    RDAC Scsi Device Handler (driver update)

License:    Distributable
Group:      System Environment/Kernel
URL:        http://www.lsi.com/rdac/

#Source is created from these files:
Source0:	scsi_dh_rdac-09.00.0000.0006.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	i686 ia64 ppc64 s390x x86_64

%description 
This package provides a test kmod package for RHEL style driver updates. It is
built to depend upon the specific ABI provided by a range of releases of the
same variant of the RHEL kernel and not on any one specific build.

# magic hidden here:
%define kmp_version %{version}
%define kmp_release %{release}
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%prep
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a scsi_dh_rdac _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
#    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD
    popd
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants}
do
#    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd
done

%post
depmod -a

%postun
depmod -a

%files
%defattr (-, root, root)
/lib/modules

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 30 2011 Babu Moger <babu.moger@netapp.com>
- First build on NetApp build servers.
